Package ru.bitel.bgbilling.kernel.base.phone.common.service

# Interface RangeMapService

@MTOM(enabled=true) public interface RangeMapService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `rangeMapDelete(int id)`
  `void`
  `rangeMapExport(int rangeMapId, String code, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> data)`
  `RangeMap`
  `rangeMapGet(int id)`
  `void`
  `rangeMapImport(int rangeMapId, boolean update, String prefix, String data)`
  `void`
  `rangeMapItemDelete(int rangeMapId, int id)`
  `List<RangeMapItem>`
  `rangeMapItemList(int id, Date date)`
  `int`
  `rangeMapItemUpdate(int rangeMapId, RangeMapItem rangeMapItem)`
  `List<RangeMap>`
  `rangeMapList(String order)`
  `void`
  `rangeMapUpdate(RangeMap rangeMap)`

- ## Method Details

  - ### rangeMapList

    List<RangeMap> rangeMapList(String order) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapGet

    RangeMap rangeMapGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapUpdate

    void rangeMapUpdate(RangeMap rangeMap) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapDelete

    void rangeMapDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapItemList

    List<RangeMapItem> rangeMapItemList(int id, Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapItemUpdate

    int rangeMapItemUpdate(int rangeMapId, RangeMapItem rangeMapItem) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapItemDelete

    void rangeMapItemDelete(int rangeMapId, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapImport

    void rangeMapImport(int rangeMapId, boolean update, String prefix, String data) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapExport

    void rangeMapExport(int rangeMapId, String code, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> data) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`